package com.huimv.getdata.service.impl;


import com.huimv.getdata.entity.center.CaiGouJinE;
import com.huimv.getdata.entity.center.DangQianYvQi;
import com.huimv.getdata.entity.center.XiaoShouE;
import com.huimv.getdata.entity.center.YangMaoZhiCaiGouJinE;
import com.huimv.getdata.entity.kucun.*;
import com.huimv.getdata.mapper.ErpCenterMapper;
import com.huimv.getdata.mapper.ErpKuCunMapper;
import com.huimv.getdata.service.IErpCenterService;
import com.huimv.getdata.service.IErpKuCunService;
import com.sun.org.apache.xpath.internal.operations.Or;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author author
 * @since 2025-01-03
 */
@Service
public class ErpKuCunServiceImpl implements IErpKuCunService {

    @Autowired
    private ErpKuCunMapper erpKuCunMapper;


    @Override
    public List<YuanCaiLiaoChuKu> getYuanCaiLiaoCunLiang(Date date) {
        return erpKuCunMapper.getYuanCaiLiaoCunLiang(date);
    }

    @Override
    public List<YangMaoZhiChuKu> getYangMaoZhiKuCun(Date date) {
       return erpKuCunMapper.getYangMaoZhiKuCun(date);
    }

    @Override
    public List<YuanCaiLiaoDangRiRuKu> getYuanCaiLiaoDangRi(Date date) {
        return erpKuCunMapper.getYuanCaiLiaoDangRi(date);
    }

    @Override
    public List<ChengPinRuKu> getChengPinDangRi(Date date,int type) {
        if (type == 1){
            return erpKuCunMapper.getChengPinDangRi(date);
        }else if (type == 2){
            return erpKuCunMapper.getWuJinDangRi(date);
        }else if (type == 3){
            return erpKuCunMapper.getBaoCaiDangRi(date);
        }
        return null;
    }

    @Override
    public List<ChengPinRuKu> getYangMaoZhiDangRi(Date date) {
       return erpKuCunMapper.getYangMaoZhiDangRi(date);
    }

    @Override
    public List<YuanCaiLiaoChuKu> getYuanCaiLiaoChuKu(Date date) {
       return erpKuCunMapper.getYuanCaiLiaoChuKu(date);
    }

    @Override
    public List<ChenPinChuKu> getChengPinChuKu(Date date, int type) {
        if (type == 1){
           return erpKuCunMapper.getChengPinChuKu(date);
        }else if (type == 2){
            return erpKuCunMapper.getWuJinChuKu(date);
        }
        else if (type == 3){
            return  erpKuCunMapper.getBaoCaiChuKu(date);
        }
       return null;
    }

    @Override
    public List<YangMaoZhiChuKu> getYangMaoZhiChuKu(Date date) {
       return erpKuCunMapper.getYangMaoZhiChuKu(date);
    }

    @Override
    public List<KunCunQuShi> getKunCunQuShi(Date date) {
       return erpKuCunMapper.getKunCunQuShi(date);
    }

    @Override
    public List<YangMaoZhiChuKu> getChuKuShuLiang(Date date) {
       return erpKuCunMapper.getChuKuShuLiang(date);
    }

    @Override
    public List<WuLiaoKuMingXi> getWuLiaoMingXi(Date date) {
       return erpKuCunMapper.getWuLiaoMingXi(date);
    }

    @Override
    public List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShang(Date date) {
       return erpKuCunMapper.getYangMaoZhiGongYingShang(date);
    }

    @Override
    public List<YangMaoZhiGongYingShang> getYangMaoZhiGongYingShangLeiJi(Date date) {
       return erpKuCunMapper.getYangMaoZhiGongYingShangLeiJi(date);
    }
}
